Subject: [alpine-devel] testing/fontconfig: new aport

From: "Mika Havela" <[email-masked]>
Date: Mon, 16 Mar 2009 07:45:54 +0000

Please review and apply this.
I would not be surprised if the depenencies are wrong in this APKBUILD

From af1f43d1a2b32aed4df8ab80a8fd534490e36f2c Mon Sep 17 00:00:00 2001
From: Mika Havela <[email-masked]>
Date: Mon, 16 Mar 2009 07:38:42 +0000
Subject: [PATCH] testing/fontconfig: new aport

Required by X11
http://fontconfig.org
---
 testing/fontconfig/APKBUILD |   27 +++++++++++++++++++++++++++
 1 files changed, 27 insertions(+), 0 deletions(-)
 create mode 100644 testing/fontconfig/APKBUILD

diff --git a/testing/fontconfig/APKBUILD b/testing/fontconfig/APKBUILD
new file mode 100644
index 0000000..d94e912
--- /dev/null
+++ b/testing/fontconfig/APKBUILD
@@ -0,0 +1,27 @@
+# Contributor: Mika Havela <[email-masked]> 
+# Maintainer: 
+pkgname=fontconfig
+pkgver="2.6.0"
+pkgrel=0
+pkgdesc="The Fontconfig package is a library for configuring and customizing font access."
+url="http://fontconfig.org"
+license="GPL"
+depends="uclibc uclibc++ freetype expat"
+makedepends="uclibc++-dev uclibc-dev freetype-dev expat-dev"
+install=
+subpackages="$pkgname-doc $pkgname-dev"
+source="http://fontconfig.org/release/${pkgname}-${pkgver}.tar.gz"
+
+build() {
+	cd "$srcdir/$pkgname-$pkgver"
+
+	./configure --prefix=/usr \
+		--sysconfdir=/etc \
+		--disable-docs
+	make -j1 || return 1
+	make DESTDIR="$pkgdir" install
+
+	install -m644 -D COPYING "$pkgdir"/usr/share/licenses/"${pkgname}"/COPYING
+}
+
+md5sums="ab54ec1d4ddd836313fdbc0cd5299d6d  fontconfig-2.6.0.tar.gz"
-- 
1.6.1.3

---

From: Natanael Copa <[email-masked]>
Date: Mon, 16 Mar 2009 12:03:11 +0100

> I would not be surprised if the depenencies are wrong in this APKBUILD

nclab01:~/aports/testing/fontconfig$ scanelf -Rn pkg
 TYPE   NEEDED FILE 
ET_DYN libfreetype.so.6,libz.so.1,libexpat.so.1,libc.so.0,ld-uClibc.so.0
pkg/usr/lib/libfontconfig.so.1.3.0 
ET_DYN libfontconfig.so.1,libc.so.0 pkg/usr/bin/fc-cache 
ET_DYN libfontconfig.so.1,libc.so.0 pkg/usr/bin/fc-cat 
ET_DYN libfontconfig.so.1,libc.so.0 pkg/usr/bin/fc-list 
ET_DYN libfontconfig.so.1,libc.so.0 pkg/usr/bin/fc-match 

Yeah, you need zlib as depends too and there was no linking to uclibc++.
Otherwise was good.

uclibc-dev will automatic be added as makedepends (togehter with gcc and
gnu make) so we dont need that in makedepends.

seems like parallel builds works so I removed the -j1 to make.

Thanks!

-nc

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---